Subject: Re: bug#19576: write-file writes the wrong buffer

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Nov 2015 17:36:39 +0200

> Date: Sun, 22 Nov 2015 11:44:56 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked], 
>  [email-masked]
> 
>  > That'[s why I think we should do this on master, to see if this causes
>  > any problems.
> 
> It shouldn't because, as Anders remarked, it already worked this way in
> Emacs 23.  So I tend to install this on Emacs-25.

Fine with me.

>  >     -- Variable: window-configuration-change-hook
>  >         A normal hook that is run every time you change the window
>  >         configuration of an existing frame.  This includes splitting or
>  >         deleting windows, changing the sizes of windows, or displaying a
>  >                           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>  >         different buffer in a window.
> 
> Taken literally we'd then have to run ‘window-configuration-change-hook’
> also when we resize windows without resizing the frame.  In particular,
> we'd then have to run it in prepare_menu_bars and in redisplay_internal.
> Do we really want to do that?  If so, we could easily obsolete
> ‘window-size-change-functions’ because then every case would have been
> already covered by ‘window-configuration-change-hook’ before.

Fine with me, too, although this change is incompatible, and so should
be made on master, IMO.